using System.ComponentModel.DataAnnotations;

namespace Fast.Models;

public class PathListItem
{
    [Key] //need to set primary key for OData
    public int PathId { get; set; }

    [Display(Name = "Path Name")] public string PathName { get; set; } = "";
    [Display(Name = "Contract Owners")] public string ContractOwners { get; set; } = "";
    [Display(Name = "Contract Numbers")] public string ContractNums { get; set; } = "";
    [Display(Name = "Source Meter")] public string SourceMeter { get; set; } = "";
    [Display(Name = "Source Counterparty")] public string SourceCounterparty { get; set; } = "";
}
